How To Update the AK2i Bootloader

Discussion in 'Acekard' started by Another World, May 3, 2012.

May 3, 2012
  1. Another World
    OP

    Former Staff Another World Emulate the Planet!

    Joined:
    Jan 3, 2008
    Messages:
    10,476
    Location:
    From Where???
    Country:
    Colombia
    We are constantly being asked by new members, "How do I update my AK2i". For some reason this simple task seems to be rather confusing. To help out our users I rewrote part of TK_Saturn's guide located at the GBAtemp WIKI. I have been maintaining it since that time and linking to it over the past year. Yet, regardless of how public we make the guide it seems that few are able to find it.

    I am now providing the link and making this topic a stickie. When someone asks how to update their bootloader please be so kind as to link them to this very thread!

    Regards,
    -Another World
     


  2. Tom Bombadildo

    Contributor Tom Bombadildo Honk!

    pip
    Joined:
    Jul 11, 2009
    Messages:
    8,827
    Location:
    I forgot
    Country:
    United States
    Nice. Even I didn't know this page existed until now.
     
  3. Daisydaze

    Newcomer Daisydaze Member

    Joined:
    Apr 3, 2012
    Messages:
    11
    Country:
    Germany
    Great, thank you very much. :)
    Easy to understand even with limited english knowledge.

    EDIT: Yup, just updated my acekard with my 3.0.0-6 E 3DS, runs perfectly on the new 4.0.0-7 E firmware. :yay:
     
  4. rockstar99

    Member rockstar99 Hi

    Joined:
    Dec 3, 2008
    Messages:
    7,375
    Location:
    Toronto
    Country:
    Canada
    Thanks for this.
    Just updated via my XL.
    Works perfectly on the 3DS.

    I like the new icon ^^
     
  5. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    Good job AW, i'll link to it.
     
  6. xshinox

    Member xshinox GBAtemp Advanced Fan

    Joined:
    Mar 6, 2007
    Messages:
    965
    Country:
    United States
    thank you! now my acekard2i works on my 3ds
     
  7. AdamBrunt

    Member AdamBrunt GBAtemp Advanced Fan

    Joined:
    Jun 24, 2003
    Messages:
    688
    Country:
    Hmm ... when I try to update via my 3DS, it goes straight to "Update is cancelled, reboot DS" on the first blue screen before I can press START.

    Am I doing something wrong or does that mean I don't need to do the update ?
     
  8. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    It could be a contact issue.

    http://gbatemp.net/topic/231412-solving-acekard-contact-issues/
     
  9. Another World
    OP

    Former Staff Another World Emulate the Planet!

    Joined:
    Jan 3, 2008
    Messages:
    10,476
    Location:
    From Where???
    Country:
    Colombia
    are you updating on an already updated 3ds?
    are you 100% sure your ak2i is legit? does it have an anti-counterfeit sticker and have you checked it?

    it could be one of the two things above, a corrupt msd card, or a contact issue as rydian pointed out.

    some users have reported issues when updating using akaio. so try the official acekard firmware, you can grab it at www.acekard.com.

    -another world
     
  10. AdamBrunt

    Member AdamBrunt GBAtemp Advanced Fan

    Joined:
    Jun 24, 2003
    Messages:
    688
    Country:
    I was trying it on a 3ds that had been updated previously (and was showing the Chronicles of Narnia icon for the Acekard) but wasn't running the latest update from Nintendo. I then tried the update on a DSL and got the "eject and reinsert the cart and then press b button" screen. After that everything worked fine.

    So, can you only run an Acekard update on a 3DS that's been updated at all ?
     
  11. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    As long as the cart boots you can update it. The issue is you were running the DSL update on a DSi, and it wants you to eject in case you need to cart swap (to apply the update to a brickedc cart to fix it, for example), but cart-swapping doesn't work on the DSi/3DS, which is why you need to make sure to run the DSi/3DS version of the update next time.
     
  12. Wanderman_Trigge

    Newcomer Wanderman_Trigge Member

    Joined:
    May 18, 2012
    Messages:
    45
    Country:
    United States
    ANOTHER WORLD,
    got to say i just checked the wiki and it looks great and didnt see anything wrong w/ it
    thank u (old time aceKard2i user w/ first gen Hardware:81 )
    now the noobs can shut up
    (btw yes its still going strong for 3years???... i think)
     
    Another World likes this.
  13. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    That's what the original advice was aimed at. :P The contact solution and such.
     
  14. AdamBrunt

    Member AdamBrunt GBAtemp Advanced Fan

    Joined:
    Jun 24, 2003
    Messages:
    688
    Country:
    I did - and it went to straight to "update has been cancelled". I then ran the DSL version on a DSL and it worked fine.
     
  15. Another World
    OP

    Former Staff Another World Emulate the Planet!

    Joined:
    Jan 3, 2008
    Messages:
    10,476
    Location:
    From Where???
    Country:
    Colombia
    updated the wiki with the new 4.2 info.

    -another world
     
  16. poltak

    Newcomer poltak Newbie

    Joined:
    Sep 15, 2012
    Messages:
    6
    Country:
    Australia
    Hi, I didn't want to make a new thread, so I thought I might ask here as I cannot find an answer to this question, although I'm sure it's fundamental.

    I currently have a 3DS XL with a working ak2i which I successfully updated the firmware and AKAIO loader by following guides I found here (and borrowing a friend's DSi). The console and ak2i was for my son's birthday he has been playing some emulators off the acekard fine so far.
    Now from what I can see from the above wiki page link under the "Updating a single cart" subsection, it states that the firmware update should only be performed using a 3DS running older firmware than the one you are updating for.
    Does this mean I can simply run the firmware update *.nds file from my son's 3DS XL with the same ak2i and it will update fine? I just assumed I would have to borrow another DSi/lite from somewhere everytime I wanted to keep it up-to-date.

    I just wanted to get some confirmation here before I tried as I'm sure I would not be popular around the house if I broke the functionality of the acekard (until I can get my hands on another DSi/lite)...

    Also, a further confirmation that I'd like to get is, if I wanted to update the AKAIO version (currently it is 1.8.9 and I see there is 1.9.0 released now), it is just a matter of copying the akmenu.nds file over to the ak2i's microSD card's relevant directory. Am I right with this assumption? This is what I've got from searching around for a bit, but again, I'd prefer confirmation before attempting.

    Anyway, thanks for your time and I'm sorry if this is a redundant question. I found all the other information I needed from searching around apart from this.
     
  17. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    You can update the acekard on any DS console that the acekard works on, so what that means is if there is a 3DS update from Nintendo as long as you wait to update your acekard before you update your 3DS then you can use your 3DS to do the acekard update.

    As for using the 1.9.0 kernel, you just copy over the aio folder and the and the akmenu file.

    EDIT: typo
     
    1 person likes this.
  18. poltak

    Newcomer poltak Newbie

    Joined:
    Sep 15, 2012
    Messages:
    6
    Country:
    Australia
    Thank you for the fast reply, eyes. Much appreciated. I was a bit scared of being sent packing, being my first post.

    I will attempt an acekard firmware update later on today then and hopefully all will go fine (as the 3DS XL is still at 3.1.0-6 from factory). Looking forward to learning more about the DS homebrew community and hope to put my software development skills to use... that is if I ever get enough free time and if my son lets me borrow the console for "testing" every now and then.

    Thanks again.
     
  19. EyeZ

    Member EyeZ GBAtemp Addict

    Joined:
    Dec 4, 2009
    Messages:
    2,336
    Country:
    United Kingdom
    No problem, you're welcome.

    Any more info you need then ask away, there's always someone here to lend a hand :)
     
  20. Xenirina

    Member Xenirina Scener

    Joined:
    Aug 26, 2012
    Messages:
    362
    Location:
    Melbourne
    Country:
    Australia
    Gosh, the GBAtemp Community is so nice.
     

Share This Page